##########################
# SCRIPT DE DÉPLOIEMENT 
##########################

include .env

RED=\033[0;31m
GREEN=\033[0;32m
YELLOW=\033[0;33m
NC=\033[0m # No Color

deploy:	deploy-dist

deploy-dist:
	@echo "$(GREEN)####Synchronisation des Themes $(NC)"
	@rsync -avhp -e 'ssh -p $(PORT)' ./dist/ $(HOST):$(CONTENT_PATH) --delete --exclude 'node_modules' --exclude 'Makefile' --exclude 'Makefile_dev' --exclude '.env' --exclude '.env_prod' --exclude '.env_dev' --exclude '.git'

test-connect:
	@echo "$(GREEN)####SIMULATION — TEST DE CONNEXION $(NC)"
	@ssh -p $(PORT) $(HOST) "cd $(CONTENT_PATH); pwd"

